%define         _sitelib %( echo %{python3_sitelib} | cut -c 10- )

Summary:        Keep control of computer usage
Name:           timekpr-next
Version:        0.5.7
Release:        1.20250319gite77fa6%{?dist}

License:        GPLv3
URL:            https://launchpad.net/timekpr-next

Source0:        timekpr-next-20250319-e77fa6.tar.xz
Source1:        system-group-timekpr.conf

BuildArch:      noarch

BuildRequires:  python3
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  systemd
BuildRequires:  sed
BuildRequires:  grep

Requires:       gtk3
Requires:       polkit
Requires:       python3-dbus
Requires:       python3-gobject
Requires:       python3-psutil
Requires:       libindicator-gtk3
Requires:       gettext
Requires:       logrotate

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
Timekpr-nExT is a program that tracks and controls the computer usage
of your user accounts. You can limit their daily usage based on a
timed access duration and configure periods of day when they can or
cannot log in.
.
This may be used for parental control to limit the amount of screen time
a child spends in front of the computer.
.
Please report any bugs to Timekpr-nExT’s bug tracker on Launchpad at:
https://bugs.launchpad.net/timekpr-next

%prep
%autosetup -n %{name} -p1
sed -i 's|python3/dist-packages|%{_sitelib}|g' bin/* client/*.py debian/install \
   resource/server/systemd/timekpr.service server/timekprd.py
sed -i 's|syslog|journal|g' resource/server/systemd/timekpr.service

%build

%install

# install files
grep -v -e '^#' -e '^$' debian/install | sed -e 's|/$||' -e 's| lib/systemd/| usr/lib/systemd/|g' -e 's|^\(.\+/\)\(.*\) \(.*\)/\?$|mkdir -p %{buildroot}/\3 ; cp \1\2 %{buildroot}/\3|g' | sh -

mkdir -p %{buildroot}/%{_sharedstatedir}/timekpr

# appdata file
install -Dpm 644 resource/appstream/org.timekpr.%{name}.metainfo.xml %{buildroot}%{_datadir}/metainfo/org.timekpr.%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.timekpr.%{name}.metainfo.xml

%find_lang timekpr

%check

%post
%sysusers_create %{SOURCE1}
%systemd_post timekpr.service
systemctl reload dbus
systemctl enable --now timekpr.service

%preun
%systemd_preun timekpr.service
systemctl disable --now timekpr.service
systemctl reload dbus

%postun 
%systemd_postun_with_restart timekpr.service


%files -f timekpr.lang
%doc debian/copyright
%dir %{_sysconfdir}/timekpr
%config(noreplace) %{_sysconfdir}/timekpr/timekpr.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%config(noreplace) %{_sysconfdir}/xdg/autostart/*
%{_bindir}/timekpr*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/metainfo/*
%{_datadir}/polkit-1/actions/*
%{_datadir}/timekpr
%{_sharedstatedir}/timekpr
%{_unitdir}/*
%{python3_sitelib}/timekpr

%changelog
* Tue Apr 22 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.5.7-1.20250319gite77fa6
- Rebuilt for MSVSphere 9.5

* Tue Apr 22 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.5.7-1.20250319gite77fa6
- initial build for MSVSphere
